ClusterManagementGetResult (Apache Geode 1.15.4)

org.apache.geode.management.api

## Class ClusterManagementGetResult<T extends AbstractConfiguration<R>,R extends RuntimeInfo>

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementGetResult<T,R>

- Type Parameters:
    `T` - the type of the static config, e.g. RegionConfig
    `R` - the type of the corresponding runtime information, e.g. RuntimeRegionInfo

      @Experimental
      public class ClusterManagementGetResult<T extends AbstractConfiguration<R>,R extends RuntimeInfo>
      extends ClusterManagementResult

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementGetResult()`
    `ClusterManagementGetResult(EntityInfo<T,R> entityInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `EntityInfo<T,R>` | `getResult()`
    `int` | `hashCode()`
    `void` | `setResult(EntityInfo<T,R> entityInfo)`
    `String` | `toString()` Returns the status code and message

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `getStatusCode, getStatusMessage, isSuccessful, setLinks, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementGetResult

          public ClusterManagementGetResult()

    - #### ClusterManagementGetResult

          public ClusterManagementGetResult(EntityInfo<T,R> entityInfo)

  - ### Method Detail

    - #### getResult

          public EntityInfo<T,R> getResult()

    - #### setResult

          public void setResult(EntityInfo<T,R> entityInfo)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ClusterManagementResult`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ClusterManagementResult`

    - #### toString

          public String toString()

      Description copied from class: `ClusterManagementResult`
      Returns the status code and message
      Overrides:
        `toString` in class `ClusterManagementResult`
      Returns:
        the status code and message as a String